#!/bin/bash

# Ce script change les "capabilities" de l'exécutable afin de lui permettre d'ouvrir un port TCP inférieur à 1024
# (port Modbus 502) sans avoir les privilèges ROOT.
# Pour que le script fonctionne, il faut ajouter les permissions d'accès dans visudo. (execution de sudo -n).


if [ $1 = release ]; then
    echo "Changement des permissions de l'exécutable RELEASE"
    sudo -n setcap cap_net_bind_service=ep /home/zonetest/DevZT/ZT/Release/ZT
else
    echo "Changement des permissions de l'exécutable DEBUG"
    sudo -n setcap cap_net_bind_service=ep /home/zonetest/DevZT/ZT/Debug/ZT
fi
